Name:           perl-HTML-WikiConverter
Version:        0.63
Release:        9.3
Summary:        Convert HTML to MediaWiki markup
License:        Unknown
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-WikiConverter/
Source0:        HTML-WikiConverter-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(CSS) perl-URI perl(HTML::Element) perl(HTML::Tree) perl(Class::Data::Inheritable) perl(Params::Validate)
Requires:       perl(CSS) perl-URI perl(HTML::Element) perl(HTML::Tree) perl(Class::Data::Inheritable) perl(Params::Validate)

%description
Convert HTML to MediaWiki markup

%prep
%setup -q -n HTML-WikiConverter-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/html2wiki
%{perl_vendorlib}/HTML/WikiConverter.pm
%{perl_vendorlib}/HTML/WikiConverter/Normalizer.pm
%{perl_vendorlib}/HTML/WikiConverter/Dialects.pod
%{_mandir}/man3/*
%{_mandir}/man1/*
%dir %{perl_vendorlib}/HTML/WikiConverter

%changelog
* Thu Nov 13 2008 Carsten Schoene <cs@linux-administrator.com> 0.63-1
- initial build
